# Update a QR Code (PUT /product/{productId})

Updates a QR Code ("product").

### Request

**Path:** `/permission`

* **Method:** `PUT`
* **URL:** `https://api.qrcake.com/v1/product/product/{productId}`
* **Path params:**
  * `productId` (string)
* **Headers:**
  * `Authorization: Bearer <API Key>`
  * `Content-Type: application/json`
  * `Accept: application/json`
* **Body:** must be **stringified**.

<details>

<summary>Example request body (template)</summary>

```json
{
  "redirect": "https://example.com",
  "metadata": {},
  "state": "ACTIVE"
}
```

</details>

{% hint style="info" %}
The exact request schema is defined in Swagger. The template above shows the common shape.
{% endhint %}

### Response

#### 200 OK

Returns the updated QR Code object.

<details>

<summary>Example 200 response</summary>

```json
{
  "accountId": "string",
  "productId": "string",
  "userId": "string",
  "redirect": "string",
  "state": "ACTIVE",
  "metadata": {},
  "expiresAt": 0,
  "createdAt": 0,
  "updatedAt": 0
}
```

</details>

#### 401 Unauthorized

```json
{
  "message": {}
}
```
